---
title: Stop full PCAP
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Magic Transit](https://developers.cloudflare.com/api/python/resources/magic_transit)

[PCAPs](https://developers.cloudflare.com/api/python/resources/magic_transit/subresources/pcaps)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Stop full PCAP

magic\_transit.pcaps.stop(strpcap\_id, PCAPStopParams\*\*kwargs)

PUT/accounts/{account\_id}/pcaps/{pcap\_id}/stop

Stop full PCAP.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic Firewall Packet Captures - Write PCAPs API`

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20magic_transit.pcaps%20%3E%20(method)%20stop%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

pcap\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20magic_transit.pcaps%20%3E%20(method)%20stop%20%3E%20(params)%20default%20%3E%20(param)%20pcap_id%20%3E%20(schema)>)

### Stop full PCAP

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.magic_transit.pcaps.stop(
    pcap_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
```

##### Returns Examples